Bug 54287 - Missing documentation for raidhot*
Missing documentation for raidhot*
Product: Red Hat Linux
Classification: Retired
Component: raidtools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-10-03 10:46 EDT by Alexandre Oliva
Modified: 2007-04-18 12:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 12:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2001-10-03 10:46:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
There are no man-pages for raidhotadd, raidhotremove nor
raidhotgenerateerror, and the --help output is confusing.  It's not clear
that the `*' is supposed to be a list of disk device names, not necessarily
md ones.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.raidhotadd --help
2.man raidhotadd
3.man -k raidhotadd
4.pull hair out

Actual Results:  usage: raidhotadd [--all] [--configfile] [--help]
[--version] [-achv] </dev/md?>*
No manual entry for raidhotadd
raidhotadd: nothing appropriate

Expected Results:  usage: raidhotadd [--all] [--configfile filename]
[--help] [[-version] [-achv] </dev/md?> </dev/[mhs]d*> [...]
Spiffy man-page explaining how/why/when to use these commands.

Additional info:
Comment 1 Chris Ricker 2002-01-15 12:49:34 EST
I definitely second this bug report.  I got bit this morning by the confusing
output from raidhot* --help, and since there's no other documentation for the
Comment 2 Chris Ricker 2002-08-30 09:43:09 EDT
Still true with null....
Comment 3 Chris Ricker 2002-10-04 18:11:49 EDT
still true with RHL 8.0
Comment 4 Patrick C. F. Ernzer 2003-02-27 07:36:58 EST
still true with 8.0.94
Comment 5 Alexandre Oliva 2003-05-11 20:08:09 EDT
and 9...
Comment 6 Alexandre Oliva 2004-10-05 12:26:56 EDT
And now raidtools are gone (won't be in FC3).

Note You need to log in before you can comment on or make changes to this bug.